@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');
@import "/src/variables";

* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
  color: var(--colors-text);
}

.pic {
  height: 100vh;
  background-image: var(--background);
  background-size: cover;
}

.login {
  width: 680px;
  background: var(--colors-first-background);
  height: 650px;
  padding: 80px 40px;
  border-radius: 10px;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.login h1 {
  text-align: center;
  margin-bottom: 50px;
  text-transform: uppercase;
  font-weight: 500;
}

.box {
  border-bottom: 2px solid var(--colors-second-background);
  position: relative;
  margin: 30px 0;
}

.input {
  font-size: 15px;
  height: 40px;
  background: none;
  display: block;
  margin: 20px auto;
  text-align: center;
  border: 2px solid var(--colors-second);
  padding: 14px 10px;
  width: 550px;
  outline: none;
  border-radius: 10px;
  transition: 0.25s;
}

#firstname {
  position: absolute;
  top: 0;
  left: 25%;
  width: 250px;

  transform: translate(-50%, -50%);
}

#lastname {
  position: absolute;
  top: 0;
  left: 75%;
  width: 250px;

  transform: translate(-50%, -50%);
}

#firstname:focus, #lastname:focus {
  width: 280px;
}

.input:focus {
  width: 580px;
  border-color: var(--colors-primary);
}

#submit {
  background: none;
  display: block;
  margin: 20px auto;
  text-align: center;
  border: 2px solid var(--colors-primary);
  padding: 14px 40px;
  outline: none;

  border-radius: 10px;
  transition: 0.25s;
  height: 50px;
}

#submit:hover {
  background: var(--colors-primary);
}


@-webkit-keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@-webkit-keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}

@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}
